package com.ylx.massage.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.util.Date;
import java.io.Serializable;

/**
 * 报警记录表(YlxAlarm)实体类
 *
 * @author makejava
 * @since 2024-04-28 09:19:05
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName(value = "ylx_alarm",autoResultMap = true)
@ApiModel(value = "YlxAlarm", description = "报警记录")
public class YlxAlarm implements Serializable {
    private static final long serialVersionUID = -78310583967774907L;
    /**
     * id
     */
    @TableId("id")
    @ApiModelProperty("id")
    private String id;
    /**
     * 客户姓名
     */
    @ApiModelProperty("客户姓名")
    private String userName;


    @ApiModelProperty("订单号")
    private String orderNo;
    /**
     * 客户电话
     */
    @ApiModelProperty("客户电话")
    private String userPhone;
    /**
     * 地点
     */
    @ApiModelProperty("地点")
    private String address;
    /**
     * 技师姓名
     */
    @ApiModelProperty("技师姓名")
    private String jsName;
    /**
     * 技师电话
     */
    @ApiModelProperty("技师电话")
    private String jsPhone;
    /**
     * 技师id
     */
    @ApiModelProperty("技师id")
    private String jsId;
    /**
     * 用户openId
     */
    @ApiModelProperty("用户openId")
    private String openId;
    /**
     * 0待处理;1已处理
     */
    @ApiModelProperty("0待处理;1已处理")
    private Integer alarmStatus;
    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String note;
    /**
     * 系统创建时间
     */
    @ApiModelProperty("系统创建时间")
    private Date createTime;
    /**
     * 系统修改时间
     */
    @ApiModelProperty("系统修改时间")
    private Date updateTime;
    /**
     * 是否删除0否1是
     */
    @ApiModelProperty("是否删除0否1是")
    @TableLogic
    private Integer isDelete;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getJsName() {
        return jsName;
    }

    public void setJsName(String jsName) {
        this.jsName = jsName;
    }

    public String getJsPhone() {
        return jsPhone;
    }

    public void setJsPhone(String jsPhone) {
        this.jsPhone = jsPhone;
    }

    public String getJsId() {
        return jsId;
    }

    public void setJsId(String jsId) {
        this.jsId = jsId;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public Integer getAlarmStatus() {
        return alarmStatus;
    }

    public void setAlarmStatus(Integer alarmStatus) {
        this.alarmStatus = alarmStatus;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

}

